Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Class TransferAgent

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.core.TransferAgent

All Implemented Interfaces:
  ITransferAgent

    public class TransferAgent

extends java.lang.Object
implements ITransferAgent

Utility class that contains the transfer id and the associated transfer

Constructor Summary
`TransferAgent(java.lang.String aTransferId, Transfer aTransfer, boolean anIsSelectionType)` Constructor for the transfer agent

Method Summary
`ISelection` `getSelection(TransferData transferData)` Return the selection if the transfer is a selection transfer
`Transfer` `getTransfer()` Return the transfer
`java.lang.String` `getTransferId()` Return the transfer id
`boolean` `isSelectionType()` Returns a boolean indicating whether the transfer agent is selection transfer
`void` `setSelection(ISelection selection)` Set the selection if the transfer is a selection transfer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferAgent

    public TransferAgent(java.lang.String aTransferId,
                         Transfer aTransfer,
                         boolean anIsSelectionType)

  Constructor for the transfer agent

  Parameters:
    `aTransferId` - the unique transfer ID for this transfer agent
    `aTransfer` - instance of a Transfer class that corresponds to the type of data to be transferred
    `anIsSelectionType` - true if transfer data a selection type transfer, false if transfer data is not a selection type transfer

Method Detail

### getTransferId

    public java.lang.String getTransferId()

  Return the transfer id

  Specified by:
    `getTransferId` in interface `ITransferAgent`
  Returns:
    transferId

### getTransfer

    public Transfer getTransfer()

  Return the transfer

  Specified by:
    `getTransfer` in interface `ITransferAgent`
  Returns:
    transfer

### setSelection

    public void setSelection(ISelection selection)

  Set the selection if the transfer is a selection transfer

  Specified by:
    `setSelection` in interface `ITransferAgent`
  Parameters:
    `selection` - The selection to be set

### getSelection

    public ISelection getSelection(TransferData transferData)

  Return the selection if the transfer is a selection transfer

  Specified by:
    `getSelection` in interface `ITransferAgent`
  Parameters:
    `transferData` - the platform specific representation of the data to be converted
  Returns:
    ISelection the selection

### isSelectionType

    public boolean isSelectionType()

  Description copied from interface: `ITransferAgent`
  Returns a boolean indicating whether the transfer agent is selection transfer

  Specified by:
    `isSelectionType` in interface `ITransferAgent`
  Returns:
    boolean true or false

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.